#! /usr/bin/python

## <filename>
## Copyright (C) 2007 Ivan Uemlianin
## Contact: ivan@llaisdy.com
## 
## This file is part of Trefnydd.
##
## Trefnydd is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## Trefnydd is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Trefnydd (i.e., doc/gpl.txt); if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
## or see http://www.gnu.org/licenses/gpl.txt


"""
========
trefnydd
========

Package:   trefnydd
Module:    aboutBox
Copyright: 2007 Ivan A. Uemlianin
Contact:   ivan@llaisdy.com
Licence:   GNU GPL (see doc/gpl.txt)

aboutBox
========

"""


# from trefnydd.gui import gui
import os

import wx
import wx.grid
import wx.html

class AboutBox(wx.Dialog):
    """Cribbed from wxPython In Action Listing 6.10
    """
    text = '''\
<html>
<head></head>
<body>
<h1><a href="http://www.llaisdy.com/static/trefnydd/">Trefnydd</a></h1>
<b>A Speech Recognition Toolkit.</b>
<p>Version 0.0.3</p>
<p>Copyright &copy; 2008 <a href="mailto:ivan@llaisdy.com">Ivan Uemlianin</a>.</p>

<p>The trefnydd project homepage is: <a href="http://www.llaisdy.com/static/trefnydd/">http://www.llaisdy.com/static/trefnydd</a>.</p>

<p>The development of trefnydd from 0.0.0 to 0.0.3 has been part-funded by <a href="http://newydd.cymru.gov.uk/topics/businessandeconomy/finance/smartcymru/?lang=en">SMARTCymru</a> grants from the Welsh Assembly Government.</p>

<p>Trefnydd uses the following third-party code:</p>
<ul>
<li>Parts of lib/utterance.py are based on <a href="http://www.bangor.ac.uk/~cbs007/speechCluster/README.html">SpeechCluster</a>, developed at <a href="http://www.bangor.ac.uk/ar/cb/">Canolfan Bedwyr</a>.</li>

<li>Parts of lib/ambuilder/ambuilder.py are based on <a href ="http://www.bangor.ac.uk/~cbs007/pyhtk/README.html">pyhtk</a>, developed at <a href="http://www.bangor.ac.uk/ar/cb/">Canolfan Bedwyr</a>.</li>

<li>The HTK-to-Sphinx acoustic model converter is based on <a href="http://home.student.utwente.nl/w.j.maaskant/htk2s3conv/">htk2s3conv</a>, developed by Wout Maaskant.</li>
</ul>

<hr align="center" width="50%">

</body>
</html>
    '''

    def __init__(self, parent):
        wx.Dialog.__init__(self, parent, -1, 'About Trefnydd',
                          size=(450, 500) )

        #html = wx.html.HtmlWindow(self)
        html = MyHTMLWindow(self)
        html.SetPage(self.text)
        button = wx.Button(self, wx.ID_OK, "OK")

        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(html, 1, wx.EXPAND|wx.ALL, 5)
        sizer.Add(button, 0, wx.ALIGN_CENTER|wx.ALL, 5)

        self.SetSizer(sizer)
        self.Layout()

class MyHTMLWindow(wx.html.HtmlWindow):
    def __init__(self, parent):
        wx.html.HtmlWindow.__init__(self, parent)
        self.SetStandardFonts()

    def OnLinkClicked(self, link):
        import webbrowser
        url = link.GetHref()
        webbrowser.open(url)
        

def main():
    pass

if __name__ == '__main__':
    main()
 
